/*** Eclipse Class Decompiler plugin, copyright (c) 2016 Chen Chao (cnfree2000@hotmail.com) ***/
package net.sourceforge.barbecue;

import net.sourceforge.barbecue.linear.codabar.CodabarBarcode;
import net.sourceforge.barbecue.linear.code128.Code128Barcode;
import net.sourceforge.barbecue.linear.code39.Code39Barcode;
import net.sourceforge.barbecue.linear.ean.BooklandBarcode;
import net.sourceforge.barbecue.linear.ean.EAN13Barcode;
import net.sourceforge.barbecue.linear.ean.UCCEAN128Barcode;
import net.sourceforge.barbecue.linear.postnet.PostNetBarcode;
import net.sourceforge.barbecue.linear.twoOfFive.Int2of5Barcode;
import net.sourceforge.barbecue.linear.twoOfFive.Std2of5Barcode;
import net.sourceforge.barbecue.linear.upc.UPCABarcode;
import net.sourceforge.barbecue.twod.pdf417.PDF417Barcode;

public final class BarcodeFactory {
	public static Barcode createCode128(String paramString) throws BarcodeException {
		Code128Barcode barcode = new Code128Barcode(paramString, 3);
		barcode.setResolution(300);
		return barcode;
	}

	public static Barcode createCode128A(String paramString) throws BarcodeException {
		return new Code128Barcode(paramString, 0);
	}

	public static Barcode createCode128B(String paramString) throws BarcodeException {
		return new Code128Barcode(paramString, 1);
	}

	public static Barcode createCode128C(String paramString) throws BarcodeException {
		return new Code128Barcode(paramString, 2);
	}

	public static Barcode createUCC128(String paramString1, String paramString2) throws BarcodeException {
		return new UCCEAN128Barcode(paramString1, paramString2);
	}

	public static Barcode createEAN128(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("01", paramString);
	}

	public static Barcode createUSPS(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("420", paramString);
	}

	public static Barcode createShipmentIdentificationNumber(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("402", paramString);
	}

	public static Barcode parseEAN128(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode(paramString);
	}

	public static Barcode createSSCC18(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("00", paramString);
	}

	public static Barcode createSCC14ShippingCode(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("01", paramString);
	}

	public static Barcode createGlobalTradeItemNumber(String paramString) throws BarcodeException {
		return new UCCEAN128Barcode("01", paramString);
	}

	public static Barcode createEAN13(String paramString) throws BarcodeException {
		return new EAN13Barcode(paramString);
	}

	public static Barcode createBookland(String paramString) throws BarcodeException {
		return new BooklandBarcode(paramString);
	}

	public static Barcode createUPCA(String paramString) throws BarcodeException {
		return new UPCABarcode(paramString);
	}

	public static Barcode createRandomWeightUPCA(String paramString) throws BarcodeException {
		return new UPCABarcode(paramString, true);
	}

	public static Barcode createStd2of5(String paramString) throws BarcodeException {
		return new Std2of5Barcode(paramString);
	}

	public static Barcode createStd2of5(String paramString, boolean paramBoolean) throws BarcodeException {
		return new Std2of5Barcode(paramString, paramBoolean);
	}

	public static Barcode createInt2of5(String paramString) throws BarcodeException {
		return new Int2of5Barcode(paramString);
	}

	public static Barcode createInt2of5(String paramString, boolean paramBoolean) throws BarcodeException {
		return new Int2of5Barcode(paramString, paramBoolean);
	}

	public static Barcode createPDF417(String paramString) throws BarcodeException {
		return new PDF417Barcode(paramString);
	}

	public static Barcode createCode39(String paramString, boolean paramBoolean) throws BarcodeException {
		return new Code39Barcode(paramString, paramBoolean);
	}

	public static Barcode create3of9(String paramString, boolean paramBoolean) throws BarcodeException {
		return new Code39Barcode(paramString, paramBoolean);
	}

	public static Barcode createUSD3(String paramString, boolean paramBoolean) throws BarcodeException {
		return new Code39Barcode(paramString, paramBoolean);
	}

	public static Barcode createCodabar(String paramString) throws BarcodeException {
		return new CodabarBarcode(paramString);
	}

	public static Barcode createUSD4(String paramString) throws BarcodeException {
		return new CodabarBarcode(paramString);
	}

	public static Barcode createNW7(String paramString) throws BarcodeException {
		return new CodabarBarcode(paramString);
	}

	public static Barcode createMonarch(String paramString) throws BarcodeException {
		return new CodabarBarcode(paramString);
	}

	public static Barcode create2of7(String paramString) throws BarcodeException {
		return new CodabarBarcode(paramString);
	}

	public static Barcode createPostNet(String paramString) throws BarcodeException {
		return new PostNetBarcode(paramString);
	}
}